Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser
Class BrowserApplication

    java.lang.Object
      org.gjt.jclasslib.browser.BrowserApplication

public class BrowserApplication
extends Object

Entry class for the bytecode viewer.

Version:
  $Revision: 1.2 $ $Date: 2005/01/14 15:01:03 $
Author:
  Ingo Kegel

Field Summary
`static String` | `APPLICATION_TITLE` Title of the application.
`static String` | `APPLICATION_VERSION` Version of the application.
`static String` | `SYSTEM_PROPERTY_LAF_DEFAULT` System property used to choose default look and feel.
`static String` | `WORKSPACE_FILE_SUFFIX` Suffix for workspace files.

Constructor Summary
`BrowserApplication()`

Method Summary
`static void` | `main(String[] args)` Entry point for the class file browser application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_TITLE

    public static final String APPLICATION_TITLE

  Title of the application.

  See Also:
    Constant Field Values

### SYSTEM_PROPERTY_LAF_DEFAULT

    public static final String SYSTEM_PROPERTY_LAF_DEFAULT

  System property used to choose default look and feel.

  See Also:
    Constant Field Values

### APPLICATION_VERSION

    public static final String APPLICATION_VERSION

  Version of the application.

  See Also:
    Constant Field Values

### WORKSPACE_FILE_SUFFIX

    public static final String WORKSPACE_FILE_SUFFIX

  Suffix for workspace files.

  See Also:
    Constant Field Values

Constructor Detail

### BrowserApplication

    public BrowserApplication()

Method Detail

### main

    public static void main(String[] args)

  Entry point for the class file browser application.

  Parameters:
    `args` - arguments for the application. As an argument, a workspace file or a class file can be passed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD